summaryrefslogtreecommitdiffstats
path: root/process_configs.sh
diff options
context:
space:
mode:
authorJustin M. Forbes <jforbes@fedoraproject.org>2022-03-22 15:08:19 -0500
committerJustin M. Forbes <jforbes@fedoraproject.org>2022-03-22 15:08:19 -0500
commitea07b7aad97f41bb4b451fc80bd3f102f0440053 (patch)
treeedc10f7fbb1695105371bcb5cd4018f74c124cab /process_configs.sh
parent0265290bb39ecf865034a27795f35b538f657a00 (diff)
downloadkernel-ea07b7aad97f41bb4b451fc80bd3f102f0440053.tar.gz
kernel-ea07b7aad97f41bb4b451fc80bd3f102f0440053.tar.xz
kernel-ea07b7aad97f41bb4b451fc80bd3f102f0440053.zip
kernel-5.17-300
* Tue Mar 22 2022 Justin M. Forbes <jforbes@fedoraproject.org> [5.17-300] - Revert "PCI/MSI: Mask MSI-X vectors only on success" (Justin M. Forbes) - Define SNAPSHOT correctly for VERSION_ON_UPSTREAM=0 (Justin M. Forbes) - Config fixups after some RHEL specific patches were reverted (Justin M. Forbes) - Basic Fedora Branch setup (Justin M. Forbes) - Reset Makefile.rhelver for the 5.18 cycle (Justin M. Forbes) Resolves: rhbz# Signed-off-by: Justin M. Forbes <jforbes@fedoraproject.org>
Diffstat (limited to 'process_configs.sh')
-rwxr-xr-xprocess_configs.sh7
1 files changed, 3 insertions, 4 deletions
diff --git a/process_configs.sh b/process_configs.sh
index 376f79584..2ee4037ad 100755
--- a/process_configs.sh
+++ b/process_configs.sh
@@ -388,16 +388,15 @@ done
PACKAGE_NAME="${1:-kernel}" # defines the package name used
KVERREL="$(test -n "$2" && echo "-$2" || echo "")"
SUBARCH="$(test -n "$3" && echo "-$3" || echo "")"
-FLAVOR="$(test -n "$4" && echo "-$4" || echo "-common")"
+FLAVOR="$(test -n "$4" && echo "-$4" || echo "-ark")"
RHJOBS="$(test -n "$5" && echo "$5" || nproc --all)"
SCRIPT=$(readlink -f "$0")
SCRIPT_DIR=$(dirname "$SCRIPT")
-# Most RHEL options are options we want in Fedora so RHEL pending settings head
-# to common/
+# Config options for RHEL should target the pending-ark directory, not pending-common.
if [ "$FLAVOR" = "-rhel" ]
then
- FLAVOR="-common"
+ FLAVOR="-ark"
fi
# to handle this script being a symlink